<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ColumnDetailsType StructType
 * @package Dg
 * @subpackage Structs
 */
class DgColumnDetailsType extends AbstractStructBase
{
    /**
     * The AirColumnCharacteristics
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgColumnDetailsTypeAirColumnCharacteristics
     */
    public $AirColumnCharacteristics;
    /**
     * The SeatColumn
     * @var string
     */
    public $SeatColumn;
    /**
     * Constructor method for ColumnDetailsType
     * @uses DgColumnDetailsType::setAirColumnCharacteristics()
     * @uses DgColumnDetailsType::setSeatColumn()
     * @param \dgsoft\StructType\DgColumnDetailsTypeAirColumnCharacteristics $airColumnCharacteristics
     * @param string $seatColumn
     */
    public function __construct(\dgsoft\StructType\DgColumnDetailsTypeAirColumnCharacteristics $airColumnCharacteristics = null, $seatColumn = null)
    {
        $this
            ->setAirColumnCharacteristics($airColumnCharacteristics)
            ->setSeatColumn($seatColumn);
    }
    /**
     * Get AirColumnCharacteristics value
     * @return \dgsoft\StructType\DgColumnDetailsTypeAirColumnCharacteristics|null
     */
    public function getAirColumnCharacteristics()
    {
        return $this->AirColumnCharacteristics;
    }
    /**
     * Set AirColumnCharacteristics value
     * @param \dgsoft\StructType\DgColumnDetailsTypeAirColumnCharacteristics $airColumnCharacteristics
     * @return \dgsoft\StructType\DgColumnDetailsType
     */
    public function setAirColumnCharacteristics(\dgsoft\StructType\DgColumnDetailsTypeAirColumnCharacteristics $airColumnCharacteristics = null)
    {
        $this->AirColumnCharacteristics = $airColumnCharacteristics;
        return $this;
    }
    /**
     * Get SeatColumn value
     * @return string|null
     */
    public function getSeatColumn()
    {
        return $this->SeatColumn;
    }
    /**
     * Set SeatColumn value
     * @param string $seatColumn
     * @return \dgsoft\StructType\DgColumnDetailsType
     */
    public function setSeatColumn($seatColumn = null)
    {
        // validation for constraint: string
        if (!is_null($seatColumn) && !is_string($seatColumn)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($seatColumn)), __LINE__);
        }
        $this->SeatColumn = $seatColumn;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgColumnDetailsType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
